## org.exist.xqj
Class XQConnection

    java.lang.Object
      org.exist.xqj.XQConnection

All Implemented Interfaces:
  javax.xml.xquery.XQConnection, javax.xml.xquery.XQDataFactory, javax.xml.xquery.XQStaticContext

public class XQConnection
extends java.lang.Object
implements javax.xml.xquery.XQConnection

Author:
  adam

Constructor Summary
`XQConnection()`
`XQConnection(DBBroker broker, javax.xml.xquery.XQCommonHandler handler)`

Method Summary
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`javax.xml.xquery.XQItemType` `createAtomicItemType(int baseType)`
`javax.xml.xquery.XQExpression` `createExpression()`
`javax.xml.xquery.XQItem` `createItem(javax.xml.xquery.XQItem item)`
`javax.xml.xquery.XQItem` `createItemFromAtomicValue(java.lang.String value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromBoolean(boolean value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromByte(byte value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromDocument(org.xml.sax.InputSource value)`
`javax.xml.xquery.XQItem` `createItemFromDouble(double value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromFloat(float value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromInt(int value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromLong(long value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromNode(org.w3c.dom.Node value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromObject(java.lang.Object value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItem` `createItemFromShort(short value, javax.xml.xquery.XQItemType type)`
`javax.xml.xquery.XQItemType` `createItemType(int itemkind, int basetype, javax.xml.namespace.QName nodename)`
`javax.xml.xquery.XQItemType` `createItemType(int itemkind, int basetype, javax.xml.namespace.QName nodename, javax.xml.namespace.QName typename, java.net.URI schemaURI, boolean nillable)`
`javax.xml.xquery.XQSequence` `createSequence(java.util.Iterator i)`
`javax.xml.xquery.XQSequence` `createSequence(javax.xml.xquery.XQSequence s)`
`javax.xml.xquery.XQSequenceType` `createSequenceType(javax.xml.xquery.XQItemType item, int occurrence)`
`java.lang.String` `getBaseURI()`
`int` `getBoundarySpacePolicy()`
`int` `getConstructionMode()`
`int` `getCopyNamespacesModeInherit()`
`int` `getCopyNamespacesModePreserve()`
`java.lang.String` `getDefaultCollation()`
`java.lang.String` `getDefaultElementTypeNamespace()`
`java.lang.String` `getDefaultFunctionNamespace()`
`int` `getDefaultOrderForEmptySequences()`
`int` `getHoldability()`
`java.lang.String[]` `getInScopeNamespacePrefixes()`
`javax.xml.xquery.XQMetaData` `getMetaData()`
`java.lang.String` `getMetaDataProperty(java.lang.String key)`
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`
`int` `getOrderingMode()`
`int` `getQueryLanguageTypeAndVersion()`
`int` `getScrollability()`
`javax.xml.namespace.QName[]` `getStaticInScopeVariableNames()`
`javax.xml.xquery.XQSequenceType` `getStaticInScopeVariableType(javax.xml.namespace.QName varname)`
`java.lang.String[]` `getSupportedMetaDataPropertyNames()`
`int` `getUpdatability()`
`javax.xml.xquery.XQWarning` `getWarnings()`
`boolean` `isClosed()`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.io.InputStream xquery)`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.io.InputStream xquery, javax.xml.xquery.XQItemType contextItemType)`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.io.Reader xquery)`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.io.Reader xquery, javax.xml.xquery.XQItemType contextItemType)`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.lang.String xquery)`
`javax.xml.xquery.XQPreparedExpression` `prepareExpression(java.lang.String xquery, javax.xml.xquery.XQItemType contextItemType)`
`void` `rollback()`
`void` `setCommonHandler(javax.xml.xquery.XQCommonHandler handler)`
`void` `setHoldability(int holdability)`
`void` `setQueryLanguageTypeAndVersion(int langtype)`
`void` `setScrollability(int scrollability)`
`void` `setUpdatability(int updatability)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQConnection

    public XQConnection()

### XQConnection

    public XQConnection(DBBroker broker,
                        javax.xml.xquery.XQCommonHandler handler)

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws javax.xml.xquery.XQException

  Specified by:
    `clearWarnings` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### close

    public void close()
               throws javax.xml.xquery.XQException

  Specified by:
    `close` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### commit

    public void commit()
                throws javax.xml.xquery.XQException

  Specified by:
    `commit` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### createExpression

    public javax.xml.xquery.XQExpression createExpression()
                                                   throws javax.xml.xquery.XQException

  Specified by:
    `createExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getHoldability

    public int getHoldability()
                       throws javax.xml.xquery.XQException

  Specified by:
    `getHoldability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getMetaData

    public javax.xml.xquery.XQMetaData getMetaData()
                                            throws javax.xml.xquery.XQException

  Specified by:
    `getMetaData` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getMetaDataProperty

    public java.lang.String getMetaDataProperty(java.lang.String key)
                                         throws javax.xml.xquery.XQException

  Specified by:
    `getMetaDataProperty` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getQueryLanguageTypeAndVersion

    public int getQueryLanguageTypeAndVersion()
                                       throws javax.xml.xquery.XQException

  Specified by:
    `getQueryLanguageTypeAndVersion` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getScrollability

    public int getScrollability()
                         throws javax.xml.xquery.XQException

  Specified by:
    `getScrollability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getSupportedMetaDataPropertyNames

    public java.lang.String[] getSupportedMetaDataPropertyNames()
                                                         throws javax.xml.xquery.XQException

  Specified by:
    `getSupportedMetaDataPropertyNames` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getUpdatability

    public int getUpdatability()
                        throws javax.xml.xquery.XQException

  Specified by:
    `getUpdatability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### getWarnings

    public javax.xml.xquery.XQWarning getWarnings()
                                           throws javax.xml.xquery.XQException

  Specified by:
    `getWarnings` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `javax.xml.xquery.XQConnection`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.io.InputStream xquery)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.io.InputStream xquery,
                                                                   javax.xml.xquery.XQItemType contextItemType)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.io.Reader xquery)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.io.Reader xquery,
                                                                   javax.xml.xquery.XQItemType contextItemType)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.lang.String xquery)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### prepareExpression

    public javax.xml.xquery.XQPreparedExpression prepareExpression(java.lang.String xquery,
                                                                   javax.xml.xquery.XQItemType contextItemType)
                                                            throws javax.xml.xquery.XQException

  Specified by:
    `prepareExpression` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### rollback

    public void rollback()
                  throws javax.xml.xquery.XQException

  Specified by:
    `rollback` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### setCommonHandler

    public void setCommonHandler(javax.xml.xquery.XQCommonHandler handler)
                          throws javax.xml.xquery.XQException

  Specified by:
    `setCommonHandler` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### setHoldability

    public void setHoldability(int holdability)
                        throws javax.xml.xquery.XQException

  Specified by:
    `setHoldability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### setQueryLanguageTypeAndVersion

    public void setQueryLanguageTypeAndVersion(int langtype)
                                        throws javax.xml.xquery.XQException

  Specified by:
    `setQueryLanguageTypeAndVersion` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### setScrollability

    public void setScrollability(int scrollability)
                          throws javax.xml.xquery.XQException

  Specified by:
    `setScrollability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### setUpdatability

    public void setUpdatability(int updatability)
                         throws javax.xml.xquery.XQException

  Specified by:
    `setUpdatability` in interface `javax.xml.xquery.XQConnection`
  Throws:
    `javax.xml.xquery.XQException`

### createAtomicItemType

    public javax.xml.xquery.XQItemType createAtomicItemType(int baseType)
                                                     throws javax.xml.xquery.XQException

  Specified by:
    `createAtomicItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItem

    public javax.xml.xquery.XQItem createItem(javax.xml.xquery.XQItem item)
                                       throws javax.xml.xquery.XQException

  Specified by:
    `createItem` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromAtomicValue

    public javax.xml.xquery.XQItem createItemFromAtomicValue(java.lang.String value,
                                                             javax.xml.xquery.XQItemType type)
                                                      throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromAtomicValue` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromBoolean

    public javax.xml.xquery.XQItem createItemFromBoolean(boolean value,
                                                         javax.xml.xquery.XQItemType type)
                                                  throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromBoolean` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromByte

    public javax.xml.xquery.XQItem createItemFromByte(byte value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromByte` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromDocument

    public javax.xml.xquery.XQItem createItemFromDocument(org.xml.sax.InputSource value)
                                                   throws javax.xml.xquery.XQException,
                                                          java.io.IOException

  Specified by:
    `createItemFromDocument` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`
    `java.io.IOException`

### createItemFromDouble

    public javax.xml.xquery.XQItem createItemFromDouble(double value,
                                                        javax.xml.xquery.XQItemType type)
                                                 throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromDouble` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromFloat

    public javax.xml.xquery.XQItem createItemFromFloat(float value,
                                                       javax.xml.xquery.XQItemType type)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromFloat` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromInt

    public javax.xml.xquery.XQItem createItemFromInt(int value,
                                                     javax.xml.xquery.XQItemType type)
                                              throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromInt` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromLong

    public javax.xml.xquery.XQItem createItemFromLong(long value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromLong` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromNode

    public javax.xml.xquery.XQItem createItemFromNode(org.w3c.dom.Node value,
                                                      javax.xml.xquery.XQItemType type)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromNode` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromObject

    public javax.xml.xquery.XQItem createItemFromObject(java.lang.Object value,
                                                        javax.xml.xquery.XQItemType type)
                                                 throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromObject` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemFromShort

    public javax.xml.xquery.XQItem createItemFromShort(short value,
                                                       javax.xml.xquery.XQItemType type)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `createItemFromShort` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemType

    public javax.xml.xquery.XQItemType createItemType(int itemkind,
                                                      int basetype,
                                                      javax.xml.namespace.QName nodename)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createItemType

    public javax.xml.xquery.XQItemType createItemType(int itemkind,
                                                      int basetype,
                                                      javax.xml.namespace.QName nodename,
                                                      javax.xml.namespace.QName typename,
                                                      java.net.URI schemaURI,
                                                      boolean nillable)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createItemType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequence

    public javax.xml.xquery.XQSequence createSequence(java.util.Iterator i)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createSequence` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequence

    public javax.xml.xquery.XQSequence createSequence(javax.xml.xquery.XQSequence s)
                                               throws javax.xml.xquery.XQException

  Specified by:
    `createSequence` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### createSequenceType

    public javax.xml.xquery.XQSequenceType createSequenceType(javax.xml.xquery.XQItemType item,
                                                              int occurrence)
                                                       throws javax.xml.xquery.XQException

  Specified by:
    `createSequenceType` in interface `javax.xml.xquery.XQDataFactory`
  Throws:
    `javax.xml.xquery.XQException`

### getBaseURI

    public java.lang.String getBaseURI()
                                throws javax.xml.xquery.XQException

  Specified by:
    `getBaseURI` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getBoundarySpacePolicy

    public int getBoundarySpacePolicy()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getBoundarySpacePolicy` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getConstructionMode

    public int getConstructionMode()
                            throws javax.xml.xquery.XQException

  Specified by:
    `getConstructionMode` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getCopyNamespacesModeInherit

    public int getCopyNamespacesModeInherit()
                                     throws javax.xml.xquery.XQException

  Specified by:
    `getCopyNamespacesModeInherit` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getCopyNamespacesModePreserve

    public int getCopyNamespacesModePreserve()
                                      throws javax.xml.xquery.XQException

  Specified by:
    `getCopyNamespacesModePreserve` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getDefaultCollation

    public java.lang.String getDefaultCollation()
                                         throws javax.xml.xquery.XQException

  Specified by:
    `getDefaultCollation` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getDefaultElementTypeNamespace

    public java.lang.String getDefaultElementTypeNamespace()
                                                    throws javax.xml.xquery.XQException

  Specified by:
    `getDefaultElementTypeNamespace` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getDefaultFunctionNamespace

    public java.lang.String getDefaultFunctionNamespace()
                                                 throws javax.xml.xquery.XQException

  Specified by:
    `getDefaultFunctionNamespace` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getDefaultOrderForEmptySequences

    public int getDefaultOrderForEmptySequences()
                                         throws javax.xml.xquery.XQException

  Specified by:
    `getDefaultOrderForEmptySequences` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getInScopeNamespacePrefixes

    public java.lang.String[] getInScopeNamespacePrefixes()
                                                   throws javax.xml.xquery.XQException

  Specified by:
    `getInScopeNamespacePrefixes` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)
                                     throws javax.xml.xquery.XQException

  Specified by:
    `getNamespaceURI` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getOrderingMode

    public int getOrderingMode()
                        throws javax.xml.xquery.XQException

  Specified by:
    `getOrderingMode` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getStaticInScopeVariableNames

    public javax.xml.namespace.QName[] getStaticInScopeVariableNames()
                                                              throws javax.xml.xquery.XQException

  Specified by:
    `getStaticInScopeVariableNames` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

### getStaticInScopeVariableType

    public javax.xml.xquery.XQSequenceType getStaticInScopeVariableType(javax.xml.namespace.QName varname)
                                                                 throws javax.xml.xquery.XQException

  Specified by:
    `getStaticInScopeVariableType` in interface `javax.xml.xquery.XQStaticContext`
  Throws:
    `javax.xml.xquery.XQException`

Copyright (C) Wolfgang Meier. All rights reserved.